org.eclipse.handly.ui.outline

## Class OutlineLinkingHelper

- java.lang.Object
- - org.eclipse.ui.OpenAndLinkWithEditorHelper
  - - org.eclipse.handly.ui.outline.OutlineLinkingHelper

- Direct Known Subclasses:
    SourceElementLinkingHelper

      public abstract class OutlineLinkingHelper
      extends org.eclipse.ui.OpenAndLinkWithEditorHelper

  An abstract base class for outline linking helpers.
  See Also:
    `LinkWithEditorContribution`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutlineLinkingHelper(ICommonOutlinePage outlinePage)` Creates a new linking helper for the given outline page.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `activate(org.eclipse.jface.viewers.ISelection selection)`
    `void` | `dispose()`
    `ICommonOutlinePage` | `getOutlinePage()` Returns the outline page of this linking helper.
    `protected abstract void` | `linkToEditor(org.eclipse.jface.viewers.ISelection selection)` Tells to link the given outline selection to the editor.
    `protected abstract void` | `linkToOutline(org.eclipse.jface.viewers.ISelection selection)` Tells to link the given editor selection to the outline.
    `protected void` | `open(org.eclipse.jface.viewers.ISelection selection, boolean activate)`
    `void` | `setLinkWithEditor(boolean enabled)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutlineLinkingHelper

          public OutlineLinkingHelper(ICommonOutlinePage outlinePage)

      Creates a new linking helper for the given outline page.
      Parameters:
        `outlinePage` - not `null`

  - ### Method Detail

    - #### getOutlinePage

          public final ICommonOutlinePage getOutlinePage()

      Returns the outline page of this linking helper.
      Returns:
        the outline page (never `null`)

    - #### dispose

          public void dispose()

      Overrides:
        `dispose` in class `org.eclipse.ui.OpenAndLinkWithEditorHelper`

    - #### setLinkWithEditor

          public void setLinkWithEditor(boolean enabled)

      Overrides:
        `setLinkWithEditor` in class `org.eclipse.ui.OpenAndLinkWithEditorHelper`

    - #### activate

          protected void activate(org.eclipse.jface.viewers.ISelection selection)

      This implementation delegates to `linkToEditor(ISelection)`.

      Specified by:
        `activate` in class `org.eclipse.ui.OpenAndLinkWithEditorHelper`

    - #### open

          protected void open(org.eclipse.jface.viewers.ISelection selection,
                              boolean activate)

      This implementation delegates to `linkToEditor(ISelection)`.

      Specified by:
        `open` in class `org.eclipse.ui.OpenAndLinkWithEditorHelper`

    - #### linkToEditor

          protected abstract void linkToEditor(org.eclipse.jface.viewers.ISelection selection)

      Tells to link the given outline selection to the editor.
      Overrides:
        `linkToEditor` in class `org.eclipse.ui.OpenAndLinkWithEditorHelper`
      Parameters:
        `selection` - the outline selection (may be `null` or empty)

    - #### linkToOutline

          protected abstract void linkToOutline(org.eclipse.jface.viewers.ISelection selection)

      Tells to link the given editor selection to the outline.
      Parameters:
        `selection` - the editor selection (may be `null` or empty)

Copyright (c) 2014, 2020 1C-Soft LLC and others. Made available under the Eclipse Public License 2.0